Get information about tasks currently running in the cluster. IMPORTANT: cat APIs are only intended for human consumption using the command line or Kibana console. They are not intended for use by applications. For application consumption, use the task management API.
Required authorization
- Cluster privileges:
monitor
Query parameters
-
The task action names, which are used to limit the response.
-
If
true, the response includes detailed information about shard recoveries.Default value is
false. -
Unique node identifiers, which are used to limit the response.
-
The parent task identifier, which is used to limit the response.
-
List of columns to appear in the response. Supports simple wildcards.
-
List of columns that determine how the table should be sorted. Sorting defaults to ascending and can be changed by setting
:ascor:descas a suffix to the column name. -
Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.
Default value is
30s. -
If
true, the request blocks until the task has completed.Default value is
false.
GET _cat/tasks?v=true&format=json
resp = client.cat.tasks(
v=True,
format="json",
)
const response = await client.cat.tasks({
v: "true",
format: "json",
});
response = client.cat.tasks(
v: "true",
format: "json"
)
$resp = $client->cat()->tasks([
"v" => "true",
"format" => "json",
]);
curl -X GET -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_cat/tasks?v=true&format=json"
client.cat().tasks();
[
{
"action": "cluster:monitor/tasks/lists[n]",
"task_id": "oTUltX4IQMOUUVeiohTt8A:124",
"parent_task_id": "oTUltX4IQMOUUVeiohTt8A:123",
"type": "direct",
"start_time": "1458585884904",
"timestamp": "01:48:24",
"running_time": "44.1micros",
"ip": "127.0.0.1:9300",
"node": "oTUltX4IQMOUUVeiohTt8A"
},
{
"action": "cluster:monitor/tasks/lists",
"task_id": "oTUltX4IQMOUUVeiohTt8A:123",
"parent_task_id": "-",
"type": "transport",
"start_time": "1458585884904",
"timestamp": "01:48:24",
"running_time": "186.2micros",
"ip": "127.0.0.1:9300",
"node": "oTUltX4IQMOUUVeiohTt8A"
}
]